@charset "UTF-8";

/* ==================================================
  アルバイトページ　固有のスタイル
    ─ 働く魅力（4つ目）
    ─ リアルを大公開
    ─ 福利厚生（一部）
    ─ 求人を探す（一部）
================================================== */
/* ------------ 働く魅力（4つ目） ------------ */
/* ハッシュタグ */
.feature-hashtag {
  margin-top: 20px;
  color: #737373;
  display: flex;
  gap: 5px 16px;
  flex-wrap: wrap;
}

/* 魅力04 */
.feature-parttime-last {
  background-color: #fff;
  border-radius: 16px;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
  margin-top: 64px;
  padding: 32px 60px 45px;

}

.feature-parttime-last-wrap {
  display: flex;
  gap: 37px;
  align-items: center;
}

.feature-parttime-last-wrap .feature-list-image {
  max-width: 317px;
  border-radius: 16px;
}

.feature-parttime-last-wrap .feature-list-image img {
  border-radius: 16px;
}

.feature-list-image p.feature-parttime-tag {
  left: -60px;
  top: -32px
}

.feature-parttime-last-wrap .feature-list-text {
  padding: 0;
}

/* 身につくスキル */
.feature-parttime-skill {
  display: flex;
  justify-content: center;
  align-items: stretch;
  gap: 32px;
  margin-top: 32px;
}

.feature-parttime-skill h4 {
  background-color: var(--color-secondary);
  color: #fff;
  font-size: 20px;
  line-height: 1.25;
  padding: 16px 27px;
}

.feature-parttime-skill-hashtag {
  display: flex;
  gap: 14px;
}

.feature-parttime-skill-hashtag span {
  background-color: #F1F1F1;
  border-radius: 43px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 25px;
  font-size: 20px;
  font-weight: bold;
}

/* 社会人力を磨こう　バナー */
.student-banner {
  background-color: #C44233;
  padding: 30px;
  margin-top: 40px;
}

.student-banner .transition-banner-wrap {
  max-width: 700px;
}

.student-banner .transition-banner-label .en::before {
  background-color: #fff;
}

.student-banner .transition-banner-label h3 {
  font-size: 32px;
}

.student-banner .transition-btn {
  justify-content: center;
}

@media screen and (max-width: 1020px) {
  /* ハッシュタグ */
  .feature-hashtag {
    margin-bottom: 8px;
  }

  /* 魅力04 */
  .feature-parttime-last {
    margin: 60px auto 0 auto;
    padding: 0 0 30px 0;
    max-width: 600px;
  }

  .feature-parttime-last-wrap {
    gap: 12px;
    flex-direction: column;
  }

  .feature-parttime-last-wrap .feature-list-image {
    max-width: 100%;
  }

  .feature-parttime-last-wrap .feature-list-image img {
    border-radius: 16px 16px 0 0;
  }

  .feature-list-image p.feature-parttime-tag {
    left: 0px;
    top: 0px
  }

  .feature-parttime-last-wrap .feature-list-text {
    padding: 0px 20px;
  }

  /* 身につくスキル */
  .feature-parttime-skill {
    flex-direction: column;
    gap: 16px;
    margin-top: 24px;
    padding: 0 20px;
  }

  .feature-parttime-skill h4 {
    font-size: 16px;
    padding: 0 14px;
    line-height: 40px;
    width: fit-content;
    margin: 0 auto;
  }

  .feature-parttime-skill h4 br {
    display: none;
  }

  .feature-parttime-skill-hashtag {
    gap: 16px;
    flex-wrap: wrap;
    justify-content: center;
  }

  .feature-parttime-skill-hashtag span {
    line-height: 45px;
    padding: 0 15px;
    font-size: 16px;
  }

  /* 社会人力を磨こう　バナー */
  .student-banner {
    background-color: #C44233;
    padding: 30px 18px;
    margin: 24px 16px 0;
  }

  .student-banner .transition-banner-wrap {
    gap: 21px;
    flex-direction: column;
    text-align: center;
  }
  
  .student-banner .transition-banner-label .en {
    justify-content: center;
  }

  .student-banner .transition-banner-label h3 {
    font-size: 30px;
  }

  .student-banner .transition-btn {
    padding: 5px 50px 5px 70px;
    justify-content: center;
    font-size: 16px;
  }

  .student-banner .transition-btn::before {
    width: 50px;
  }

  .student-banner .transition-btn::after {
    width: 28px;
    height: 28px;
    line-height: 28px;
    font-size: 28px;
  }
}

/* ------------ リアルを大公開 ------------ */
.real {
  padding: 88px 0;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.real-catch {
  max-width: 700px;
  margin: 0px auto;
  font-size: 18px;
}

/* リアルを大公開 共通h3 */
.real h3 {
  font-size: 20px;
  font-weight: bold;
  padding-bottom: 5px;
  border-bottom: 2px dashed var(--color-black-blown);
  width: fit-content;
  margin: 0 auto;
  position: relative;
  text-align: center;
}

@media screen and (max-width: 767px) {
  .real {
    padding: 65px 0 40px 0;
  }

  .real-catch {
    margin: 0 auto;
    max-width: 100%;
  }
}

/* 選んだ理由 */
.real-reason {
  background-color: #FFFFB3;
  border-radius: 16px;
  padding: 32px 30px;
}

.real-reason ul {
  margin-top: 30px;
  display: flex;
  justify-content: center;
  gap: 35px;
}

.real-reason ul li {
  margin-bottom: 45px;
  position: relative;
  border-radius: 16px;
  flex: 1;
  max-width: 190px;
}

.real-reason ul li::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -18px;
  width: 38px;
  height: 33px;
  clip-path: polygon(50% 100%, 0 0, 100% 0);
}

.real-reason ul li p {
  padding: 20px 14px;
  line-height: 1.75;
}

.real-reason ul li .icon-people {
  position: absolute;
  width: 60px;
  right: 0px;
  bottom: -45px;
}

/* 1人目 & 4人目 */
.real-reason ul li:nth-child(1),
.real-reason ul li:nth-child(4) {
  background-color: #C44233;
  color: #fff;
}

.real-reason ul li:nth-child(1) p, 
.real-reason ul li:nth-child(4) p {
  color: #fff;
}

.real-reason ul li:nth-child(1)::after, 
.real-reason ul li:nth-child(4)::after {
  background: #C44233;
}

/* 2人目 */
.real-reason ul li:nth-child(2) {
  background-color: #FFB538;
}

.real-reason ul li:nth-child(2)::after {
  background: #FFB538;
}

/* 3人目 */
.real-reason ul li:nth-child(3) {
  background-color: #FFC350;
}

.real-reason ul li:nth-child(3)::after {
  background: #FFC350;
}

@media screen and (max-width: 767px) {
  .real-reason {
    padding: 40px 16px;
  }

  .real-reason ul {
    margin-top: 24px;
    gap: 24px;
    flex-direction: column;
    align-items: center;
  }

  .real-reason ul li {
    width: 100%;
    max-width: 500px;
  }

  .real-reason ul li p {
    padding: 20px 16px;
  }

  /* 奇数 */
  .real-reason ul li:nth-child(odd)::after {
    left: auto;
    right: 55px;
    bottom: -15px;
    transform: translateX(0%);
  }

  /* 偶数 */
  .real-reason ul li:nth-child(even)::after {
    left: 55px;
    bottom: -15px;
    transform: translateX(0%);
  }

  .real-reason ul li:nth-child(2n) .icon-people {
    right: auto;
    left: 0;
  }
}

/* 自慢の商品 */
.real-product {
  background-color: #C44233;
  border-radius: 16px;
  padding: 38px 30px;
}

.real-product h3 {
  color: #fff;
  border-bottom: 2px dashed #fff;
}

.real-product ul {
  margin-top: 30px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px 40px;
}

.real-product ul li {
  display: flex;
  flex-direction: column;
  gap: 18px;
  align-items: center;
}

.product-comment {
  background-color: #fff;
  color: var(--color-secondary);
  border-radius: 100px;
  padding: 8px 15px;
  font-weight: bold;
  font-size: 18px;
  position: relative;
  line-height: 1.4;
  text-align: center;
}

.product-comment::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -12px;
  width: 17px;
  height: 15px;
  clip-path: polygon(50% 100%, 0 0, 100% 0);
  background-color: #fff;
}

.real-product-flex {
  display: flex;
  gap: 15px;
}

.real-product-image img {
  width: 117px;
  aspect-ratio: 1/1;
  border-radius: 50%;
}

.real-product-image p {
  text-align: center;
  color: #fff;
  line-height: 1.25;
  margin-top: 5px;
}

@media screen and (max-width: 1020px) {
  .real-product {
    padding: 38px 16px;
  }

  .real-product ul.scrollable {
    flex-wrap: nowrap;
    justify-content: flex-start;
    gap: 20px;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    padding-bottom: 20px;
    position: relative;
  }

  .real-product ul.scrollable li {
    flex-shrink: 0;
  }

  /*  スクロールバー */
  .scrollable::-webkit-scrollbar {
    height: 10px;
  }

  .scrollable::-webkit-scrollbar-thumb {
    background: var(--color-primary);
    border-radius: 10px;
  }

  .scrollable::-webkit-scrollbar-track {
    background: #F1F1F1;
    border-radius: 10px;
  }

  /* スクロールヒント */
  .scrollable::before {
    content: "";
    background: url(/workstyle/parttime-job/img/icon_scrollable.webp) no-repeat 18px / 38px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    border-radius: 50%;
    z-index: 2;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: rgba(0, 0, 0, 0.6);
  }

  .scrollable.is-active::before {
    animation: Scrollhint-fade 1s ease-in-out;
    animation-iteration-count: 2;
  }

  @keyframes Scrollhint-fade {
    0% {
      transform: translate(-50%, -50%);
    }
    70% {
      opacity: 1;
    }
    100% {
      transform: translate(calc(-50% + 30px), -50%);
      opacity: 0;
    }
  }

  /* 一度でもスクロールしたら非表示 */
  .scrollable.is-active.is-scrolled::before {
    display: none;
    transition: opacity 0.3s;
  }

  .product-comment br {
    display: none;
  }
}

/* 数字で見る */
.data-title {
  background-color: var(--color-secondary);
  color: #fff;
  font-weight: bold;
  font-size: 24px;
  line-height: 54px;
  padding: 0 15px;
  text-align: center;
  width: fit-content;
  margin: 0 auto 24px;
}

.real-data {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 16px;
}

.real-data li {
  padding: 30px 13px;
  border-radius: 10px;
  border: 3px solid #F1F1F1;
  grid-row: span 3;
  display: grid;
  grid-template-rows: subgrid;
  gap: 0;
}

.real-data-image {
  margin: 10px auto;
}

.real-data-note {
  font-size: 14px;
  line-height: 1.2;
  display: block;
}

.real-data-image img {
  max-width: 220px;
  margin: 5px auto 10px;
}

.benefits {
  padding-top: 0px;
}

@media screen and (max-width: 1020px) {
  .real-data {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 767px) {
  .data-title {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
  }

  .data-title span {
    background-color: var(--color-secondary);
    padding: 0 10px;
    width: fit-content;
  }

  .real-data {
    grid-template-columns: 1fr;
  }
}

/* ------------ 福利厚生（一部） ------------ */
.benefits-list {
  grid-template-columns: repeat(3, 1fr);
}

/* 1021px～のみ */
@media screen and (min-width: 1021px) {
  .benefits-list li .modal-open {
    padding: 24px 20px;
    gap: 0px;
    flex-direction: row;
    text-align: left;
  }
}

@media screen and (max-width: 767px) {
  .benefits-list {
    display: flex;
    flex-wrap: wrap;
  }

  .benefits-list li {
    width: calc(50% - 10px);
  }
}

/* ------------ 求人を探す（一部） ------------ */
/* PCのみ */
@media screen and (min-width: 1021px) {
  .job-category:nth-of-type(3) .job-list {
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
  }

  .job-category:nth-of-type(3) .job-list li {
    padding: 20px 24px 30px 24px;
  }

  .job-category:nth-of-type(3) .job-list-title-text {
    font-size: 20px;
    line-height: 45px;
  }

  .job-category:nth-of-type(3) .job-list-title img {
    width: 45px;
    height: 45px;
  }

  .job-category:nth-of-type(3) .job-btn {
    font-size: 16px;
    padding: 0 45px 0 20px;
    height: 66px;
  }

  .job-category:nth-of-type(3) .job-btn::after {
    right: 16px;
  }

  /* ドライグロッサリー */
  .job-category:nth-of-type(3) .job-list-title-text.long {
    padding-left: 0px;
    text-align: center;
  }
}